using System.Text.Json.Serialization;

namespace qtcnet_client.Model
{
    public class ClientUpdateInfo
    {
        [JsonPropertyName("clientFileName")]
        [JsonRequired]
        public string ClientFileName { get; set; } = "QtCNetChat.exe";
        [JsonPropertyName("version")]
        [JsonRequired]
        public string Version { get; set; } = string.Empty;
        [JsonPropertyName("downloadUri")]
        [JsonRequired]
        public string DownloadUrl { get; set; } = string.Empty;
        [JsonPropertyName("updateMandatory")]
        [JsonRequired]
        public bool IsUpdateMandatory { get; set; } = false;
    }
}
